## ros-jazzy-rviz-common 14.1.1

=== debian/changelog ===
ros-jazzy-rviz-common (14.1.1-2bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-rviz-common (14.1.0-2bookworm) bookworm; urgency=high

  * Update to yaml-cpp 0.8.0 (#1183 <https://github.com/ros2/rviz/issues/1183>)
    yaml-cpp 0.8.0 has a proper CMake target, i.e. yaml-cpp::yaml-cpp.
    Use that here.
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rviz-common (14.0.0-2bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 06 Apr 2024 16:00:00 -0000

ros-jazzy-rviz-common (13.4.2-2bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-rviz-common (13.4.1-2bookworm) bookworm; urgency=high

  * Remove regex_filter_property.hpp from the moc lines. (#1172 <https://github.com/ros2/rviz/issues/1172>)
    Since it has no SLOTS or SIGNALS, we don't need to run
    MOC on it.  That will both speed up the compilation and
    remove a warning when building.
  * Added regex filter field for TF display (#1032 <https://github.com/ros2/rviz/issues/1032>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-jazzy-rviz-common (13.4.0-2bookworm) bookworm; urgency=high

  * Fix camera display overlay (#1151 <https://github.com/ros2/rviz/issues/1151>)
  * Fixes for uncrustify 0.78. (#1155 <https://github.com/ros2/rviz/issues/1155>)
    Mostly what we do here is to disable the indentation on
    certain constructs that are different between 0.72 and
    0.78.  It isn't my preferred solution, but since it only
    affects a small amount of code (and most of that in macros),
    this seems acceptable to me.
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Mar 2024 16:00:00 -0000

ros-jazzy-rviz-common (13.3.1-2bookworm) bookworm; urgency=high

  * Append measured subscription frequency to topic status (#1113 <https://github.com/ros2/rviz/issues/1113>)
  * Contributors: Yadu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-rviz-common (13.3.0-2bookworm) bookworm; urgency=high

  * Implement reset time service (#1109 <https://github.com/ros2/rviz/issues/1109>)
  * Add "R" key as shortcut for resetTime (#1088 <https://github.com/ros2/rviz/issues/1088>)
  * Add fullscreen startup option (#1097 <https://github.com/ros2/rviz/issues/1097>)
  * Switch to target_link_libraries. (#1098 <https://github.com/ros2/rviz/issues/1098>)
  * Initialize more of the visualization_manager members. (#1090 <https://github.com/ros2/rviz/issues/1090>)
  * Explicit time conversions and comparisons (#1087 <https://github.com/ros2/rviz/issues/1087>)
  * Rolling namespace in title (#1074 <https://github.com/ros2/rviz/issues/1074>)
  * Contributors: AiVerisimilitude, Chris Lalancette, Hyunseok, Markus Bader, Paul Erik Frivold

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-rviz-common (13.2.0-2bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-rviz-common (13.1.2-2bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 08 Oct 2023 16:00:00 -0000

ros-jazzy-rviz-common (13.1.1-2bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-rviz-common (13.1.0-2bookworm) bookworm; urgency=high

  * Removed unused code (#1044 <https://github.com/ros2/rviz/issues/1044>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-rviz-common (13.0.0-2bookworm) bookworm; urgency=high

  * Remove unused LineEditWithButton::simulateReturnPressed() (#1040 <https://github.com/ros2/rviz/issues/1040>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-rviz-common (12.8.0-2bookworm) bookworm; urgency=high

  * Remove warning in depth_cloud_mld.cpp (#1021 <https://github.com/ros2/rviz/issues/1021>)
  * Added DepthCloud default plugin (#996 <https://github.com/ros2/rviz/issues/996>)
  * Stop inheriting from std::iterator. (#1013 <https://github.com/ros2/rviz/issues/1013>)
    In C++17, inheriting from std::iterator has been
    deprecated: https://www.fluentcpp.com/2018/05/08/std-iterator-deprecated/
    Here, switch away from inheriting and just define the
    interface ourselves (which is the current recommended best practice).
    This removes some warnings when building with gcc 13.1.1
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 26 Aug 2023 16:00:00 -0000

ros-jazzy-rviz-common (12.7.0-2bookworm) bookworm; urgency=high

  * use static QCoreApplication::processEvents() function without a QApplication instance (#924 <https://github.com/ros2/rviz/issues/924>)
  * Re-implemented setName for tools (#989 <https://github.com/ros2/rviz/issues/989>)
  * Contributors: Felix Exner (fexner), Yannis Gerlach

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-rviz-common (12.6.1-2bookworm) bookworm; urgency=high

  * Add a libqt5-svg dependency to rviz_common. (#992 <https://github.com/ros2/rviz/issues/992>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 11 Jun 2023 16:00:00 -0000

ros-jazzy-rviz-common (12.6.0-2bookworm) bookworm; urgency=high


