## ros-jazzy-rviz-common 14.1.5

=== debian/changelog ===
ros-jazzy-rviz-common (14.1.5-1bookworm) bookworm; urgency=high

  * Handle Tool::Finished returned by processKeyEvent (#1257 <https://github.com/ros2/rviz/issues/1257>) (#1263 <https://github.com/ros2/rviz/issues/1263>)
    (cherry picked from commit 37cf8051a4dec9bbaddd17ca07d846b3e5016a99)
    Co-authored-by: Patrick Roncagliolo <mailto:ronca.pat@gmail.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-rviz-common (14.1.4-1bookworm) bookworm; urgency=high

  * Set ContentsMargins for RenderPanel to 0 to avoid borders in fullscreen mode. Fixes #1024 <https://github.com/ros2/rviz/issues/1024> (#1228 <https://github.com/ros2/rviz/issues/1228>) (#1250 <https://github.com/ros2/rviz/issues/1250>)
    (cherry picked from commit 642b1a34b1a50bfa8afa76817ec3fe0e2f9cf210)
    Co-authored-by: Bo Chen <mailto:bo@enway.ai>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 18 Aug 2024 16:00:00 -0000

ros-jazzy-rviz-common (14.1.3-1bookworm) bookworm; urgency=high

  * Correclty load icons of panels with whitespaces in their name (#1241 <https://github.com/ros2/rviz/issues/1241>) (#1242 <https://github.com/ros2/rviz/issues/1242>)
    (cherry picked from commit d390a55b7c038c0b97d9dd17636ee6bdbc9ea86a)
    Co-authored-by: Patrick Roncagliolo <mailto:ronca.pat@gmail.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Jul 2024 16:00:00 -0000

ros-jazzy-rviz-common (14.1.2-1bookworm) bookworm; urgency=high

  * Replace ESC shortcut for exiting full screen with solution from https://github.com/ros-visualization/rviz/pull/1416 (#1205 <https://github.com/ros2/rviz/issues/1205>) (#1209 <https://github.com/ros2/rviz/issues/1209>)
    (cherry picked from commit 526f25105b4f679a4c09128558d94b678affd0fa)
    Co-authored-by: Michael Ripperger <mailto:michael.ripperger@swri.org>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Jun 2024 16:00:00 -0000

ros-jazzy-rviz-common (14.1.1-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-rviz-common (14.1.0-1bookworm) bookworm; urgency=high

  * Update to yaml-cpp 0.8.0 (#1183 <https://github.com/ros2/rviz/issues/1183>)
    yaml-cpp 0.8.0 has a proper CMake target, i.e. yaml-cpp::yaml-cpp.
    Use that here.
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rviz-common (14.0.0-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 06 Apr 2024 16:00:00 -0000

ros-jazzy-rviz-common (13.4.2-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-rviz-common (13.4.1-1bookworm) bookworm; urgency=high

  * Remove regex_filter_property.hpp from the moc lines. (#1172 <https://github.com/ros2/rviz/issues/1172>)
    Since it has no SLOTS or SIGNALS, we don't need to run
    MOC on it.  That will both speed up the compilation and
    remove a warning when building.
  * Added regex filter field for TF display (#1032 <https://github.com/ros2/rviz/issues/1032>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-jazzy-rviz-common (13.4.0-1bookworm) bookworm; urgency=high

  * Fix camera display overlay (#1151 <https://github.com/ros2/rviz/issues/1151>)
  * Fixes for uncrustify 0.78. (#1155 <https://github.com/ros2/rviz/issues/1155>)
    Mostly what we do here is to disable the indentation on
    certain constructs that are different between 0.72 and
    0.78.  It isn't my preferred solution, but since it only
    affects a small amount of code (and most of that in macros),
    this seems acceptable to me.
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Mar 2024 16:00:00 -0000

ros-jazzy-rviz-common (13.3.1-1bookworm) bookworm; urgency=high

  * Append measured subscription frequency to topic status (#1113 <https://github.com/ros2/rviz/issues/1113>)
  * Contributors: Yadu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-rviz-common (13.3.0-1bookworm) bookworm; urgency=high

  * Implement reset time service (#1109 <https://github.com/ros2/rviz/issues/1109>)
  * Add "R" key as shortcut for resetTime (#1088 <https://github.com/ros2/rviz/issues/1088>)
  * Add fullscreen startup option (#1097 <https://github.com/ros2/rviz/issues/1097>)
  * Switch to target_link_libraries. (#1098 <https://github.com/ros2/rviz/issues/1098>)
  * Initialize more of the visualization_manager members. (#1090 <https://github.com/ros2/rviz/issues/1090>)
  * Explicit time conversions and comparisons (#1087 <https://github.com/ros2/rviz/issues/1087>)
  * Rolling namespace in title (#1074 <https://github.com/ros2/rviz/issues/1074>)
  * Contributors: AiVerisimilitude, Chris Lalancette, Hyunseok, Markus Bader, Paul Erik Frivold

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-rviz-common (13.2.0-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-rviz-common (13.1.2-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 08 Oct 2023 16:00:00 -0000

ros-jazzy-rviz-common (13.1.1-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-rviz-common (13.1.0-1bookworm) bookworm; urgency=high
